Summary:     The lwres (BIND 9) NSS module
Name:        nss_lwres
Version:     0.93
Release:     5.pp
License:     GPL
Group:       System Environment/Console
Source0:     ftp://ftp.gnu.org/gnu/glibc/nss_lwres-%{version}.tar.gz
URL:         http://www.gnu.org/software/glibc/
Buildroot:   /var/tmp/nss_lwres-root
Vendor:      Peter Pramberger
Packager:    Peter Pramberger <peter.pramberger@1012surf.net>
Requires:    bind-utils >= 9.2
Provides:    nss_lwres.pp
Prereq:      /bin/bash /sbin/ldconfig
BuildPrereq: gcc >= 2.96 /bin/mkdir /usr/bin/make /usr/bin/install
BuildPrereq: bind-devel >= 9.2 glibc-devel
ExclusiveOS: linux

%description
The lwres NSS module provides support for the lightweight
resolver in BIND 9 on systems that use the GNU C Library.
It is designed to replace the DNS NSS module that use the
BIND 4/BIND 8 resolver for name server lookups. For more
information on NSS (Name Service Switch), please consult
the GNU C Library manual.


%package devel
Group:       Development/Libraries
Summary:     The development files for nss_lwres
Requires:    nss_lwres = %{version}-%{release} nss_lwres.pp
Provides:    nss_lwres-devel.pp

%description devel
The nss_lwres-devel package contains the static lwres (BIND 9)
NSS module to statically link against programs when required.


%prep
%setup -q


%build
export CFLAGS="$RPM_OPT_FLAGS"
./configure \
	--prefix=/      \
	--enable-shared \
	--enable-static
make


%define __os_install_post /usr/lib/rpm/brp-compress


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install


%post
/sbin/ldconfig
cat << _EOF_

*** NOTE ***

In order to use the module, you must make sure that the lightweight
resolver daemon 'lwresd' is running, and add the lwres service to
your /etc/nsswitch.conf. Currently the lwres module only supports
the 'hosts' database. So you will want to edit the line that starts
with 'hosts:' to look something like:

   hosts:       files lwres

Of course both BIND 9 and this module are still in development, so
perhaps you want to try:

   hosts:       files lwres [NOTFOUND=return] dns

instead. This will fall back on the traditional DNS module if the
lwres service is unavailable (for example when lwresd crashed).

_EOF_


%postun
/sbin/ldconfig
if [ "$1" = 0 ]; then
   cat << _EOF_

*** NOTE ***

Remove any references to lwres from your /etc/nsswitch.conf.

_EOF_
fi


%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README THANKS
/lib/*.so.*

%files devel
%defattr(-,root,root)
/lib/*.*a
/lib/*.so


%changelog
* Wed Apr 21 2004 peter.pramberger@1012surf.net
- compiled against bind 9.2.3

* Fri Nov 14 2003 peter.pramberger@1012surf.net
- new version 0.93

* Fri Jun 20 2003 peter.pramberger@1012surf.net
- compiled for RH73

* Wed Sep 11 2002 peter.pramberger@1012surf.net
- created

